---

nft_filter_input_rules_extra:
  - comment: Allow SSH from admin interfaces
    saddr: {100.80.91.0/24}
    proto: tcp
    dport: 22

  - comment: DHCP Noir
    iif: ens4
    proto: udp
    dport: {67,68}

  - comment: TFTP boot
    iif: ens4
    saddr: 172.16.31.0/24
    proto: udp
    dport: 69

  - comment: miroir local
    iif: ens4
    saddr: 172.16.31.0/24
    proto: tcp
    dport: 80

  - comment: opentracker netboot
    iif: ens4
    saddr: 172.16.31.0/24
    proto: tcp
    dport: 8000

nft_filter_forward_rules:
  - comment: Drop invalid connections
    raw: ct state invalid drop

  - comment: Access to prologin
    saddr: 172.16.31.0/24
    daddr: 193.17.73.18
    proto: tcp
    dport: {443}

  - comment: Access to prologin VPN
    saddr: 172.16.31.0/24
    daddr: 193.17.73.18
    proto: udp
    dport: {45319,45320,45321}

  - comment: DNS Cloudflare TCP
    saddr: 172.16.31.0/24
    daddr: {1.1.1.1,1.0.0.1}
    proto: tcp
    dport: 53

  - comment: DNS Cloudflare UDP
    saddr: 172.16.31.0/24
    daddr: {1.1.1.1,1.0.0.1}
    proto: udp
    dport: 53

  - comment: NTP Oleane
    saddr: 172.16.31.0/24
    daddr: 194.2.0.28
    proto: udp
    dport: 123

nft_nat_rules:
  dnat: []
  snat:
    - comment: Access to prologin
      saddr: 172.16.31.0/24
      daddr: {193.17.73.18,1.1.1.1,1.0.0.1,194.2.0.28}
      snat: 10.201.13.211
      oif: ens5
